

// // // //


ОтслеживатьВыборРаскладки = мир =>
{
    мир.окна.раскладки.выборныйСписок.отклик.выбор = function(номер) {
        мир.номерВыбраннойРаскладки = номер;
        мир.уведомить("выбрали раскладку реестра");
    };
};


// // // //


ЗадатьСписокРаскладок = мир =>
{
    var раскладки = Object.keys(мир.реестрРаскладок).sort();
    мир.окна.раскладки.выборныйСписок.задатьСписок(раскладки);
};


// // // //


ПлавноСкрытьОкноРаскладок = мир =>
{
    мир.окна.раскладки.плавно.скрыть();
};


// // // //


ПлавноПоказатьОкноРаскладок = мир =>
{
    мир.окна.раскладки.плавно.отобразить();
};

// // // //


ЗадатьВидОкнаРаскладок = мир =>
{

    var вид = document.createElement("style");
    document.head.appendChild(вид);
    вид.innerHTML = `

#${мир.окна.раскладки.указатель}
{
    position: fixed;
    left: 1em;
    top: 1em;
    bottom: 1em;
    right: 1em;
}

#скрыть-раскладки
{
    position: fixed;
    right: 0.5em;
    bottom: 0.5em;
}

    `;
};


// // // //


СоздатьОкноРаскладок = мир =>
{
    var окно = document.createElement("div");
    окно.id = "окно-раскладки";
    окно.style.display = "none";
    document.body.appendChild(окно);

    мир.окна.раскладки = {
        "указатель": окно.id,
        "элемент": окно,
        "плавно": new ПлавноОтобразитьСкрыть(окно),
        "список": `${окно.id}-список`,
    };

    окно.innerHTML = `
<center>
    <span class="uk-text-large">Раскладки</span>
    ⚬ <span class="uk-text-large uk-text-bold">键盘布局</span> ⚬
    <span class="uk-text-large">Layouts</span>
</center>
<ul id="${мир.окна.раскладки.список}" class="uk-nav uk-nav-default tm-nav">
</ul>
<a id="скрыть-раскладки" uk-icon="icon: close; ratio: 2"></a>

    `;
    
    var элементСписок = document.getElementById(мир.окна.раскладки.список);
    мир.окна.раскладки.выборныйСписок = new ВыборныйСписок(элементСписок);

    $("#скрыть-раскладки").click(function() {
        мир.уведомить("кнопка скрыть раскладки");
    });
};